/**
 * Autores  Perséfone <persefone@usp.br>, Perseu <perseu@usp.br> e Apolo <apolo@usp.br>
 * versao 1.0
 *
 * DESCRICAO
 *
 * Macro para ajudar a encontrar erros no programa.
 */

#ifndef __DEBUG_H__
#define __DEBUG_H__

/******************************************************************************/
/* BIBLIOTECAS                                                                */
/******************************************************************************/
#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <stdlib.h>

/**
 * Macro para imprimir mensagens de erro na tela.
 */
#define DEBUG_MSG(x) \
    if(errno != 0){ \
        fprintf(stderr, "[%s:%d] %s(): %s (%s)\n",__FILE__,__LINE__,__FUNCTION__, x, strerror(errno)); \
        exit(1); \
    } \
    else { \
        fprintf(stderr, "[%s:%d] %s(): %s\n", __FILE__, __LINE__, __FUNCTION__, x); \
    }

#endif
